// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
    // Change recipes here
    event.remove({output: 'extendedcrafting:redstone_ingot'})
	event.remove({output: 'worlds_with_ores:coalword'})
	event.remove({output: 'structurize:sceptergold'})
	event.remove({output: 'structurize:sceptersteel'})
	event.remove({output: 'projecte:tome'})
	event.remove({output: 'projectex:lime_power_flower'})
	event.remove({output: 'projectex:yellow_power_flower'})
	event.remove({output: 'projectex:orange_power_flower'})
	event.remove({output: 'projectex:white_power_flower'})
	event.remove({output: 'projectex:fading_power_flower'})
	event.remove({output: 'projectex:final_power_flower'})
	event.remove({output: 'projectex:lime_collector'})
	event.remove({output: 'projectex:yellow_collector'})
	event.remove({output: 'projectex:orange_collector'})
	event.remove({output: 'projectex:white_collector'})
	event.remove({output: 'projectex:fading_collector'})
	event.remove({output: 'projectex:final_collector'})
	event.remove({output: 'projectex:lime_relay'})
	event.remove({output: 'projectex:yellow_relay'})
	event.remove({output: 'projectex:orange_relay'})
	event.remove({output: 'projectex:white_relay'})
	event.remove({output: 'projectex:fading_relay'})
	event.remove({output: 'projectex:final_relay'})
	event.remove({output: 'projectex:lime_compressed_collector'})
	event.remove({output: 'projectex:yellow_compressed_collector'})
	event.remove({output: 'projectex:orange_compressed_collector'})
	event.remove({output: 'projectex:white_compressed_collector'})
	event.remove({output: 'projectex:fading_compressed_collector'})
	event.remove({output: 'projectex:final_compressed_collector'})
	event.remove({output: 'ae2wtlib:infinity_booster_card'})
	event.remove({output: 'exnihilosequentia:mesh_string'})
	event.remove({output: 'exnihiloauto:compressed_sand'})
	event.remove({output: 'exnihiloauto:compressed_gravel'})
	event.remove({output: 'exnihiloauto:compressed_cobble'})
	event.remove({output: 'exnihiloauto:compressed_dust'})
	event.remove({output: 'compressedblocks:c0_gravel'})
	event.remove({output: 'compressedblocks:c0_cobblestone'})
	event.remove({output: 'compressedblocks:c0_sand'})
	event.remove({output: 'minecraft:sand'})
	event.remove({output: 'minecraft:gravel'})
	event.remove({output: 'minecraft:cobblestone'})
	event.remove({output: 'exnihilosequentia:dust'})
	
    event.shaped('16x minecraft:sand', [
    'AS ',
    'SA ',
    '   '
  ], {
    S: 'mysticalagriculture:dirt_essence',
    A: 'mysticalagriculture:fire_essence'
  })
  event.shaped('16x minecraft:gravel', [
    'AS ',
    'SA ',
    '   '
  ], {
    A: 'mysticalagriculture:dirt_essence',
    S: 'mysticalagriculture:stone_essence'
  })
	event.shaped('worlds_with_ores:coalword', [
    'AAA',
    'ASA',
    'AAA'
  ], {
    S: 'minecraft:flint_and_steel',
    A: 'minecraft:coal'
  })
	event.shaped('structurize:sceptergold', [
    '  S',
    ' A ',
    'A  '
  ], {
    S: 'minecraft:gold_ingot',
    A: 'minecraft:stick'
  })
    event.shaped('structurize:sceptersteel', [
    '  S',
    ' A ',
    'A  '
  ], {
    S: 'mekanism:ingot_steel',
    A: 'minecraft:stick'
  })
    event.shaped('ae2wtlib:infinity_booster_card', [
    'AXA',
    'SAS',
    'XSX'
  ], {
    X: 'appliedenergistics2:wireless_receiver',
    A: 'appliedenergistics2:fluix_pearl',
	S: 'appliedenergistics2:quantum_link'
  })
   event.shaped('exnihilosequentia:mesh_string', [
    'S S',
    'SAS',
    'S S'
  ], {
    S: 'minecraft:string',
    A: 'minecraft:stick'
  })
   event.shaped('24x minecraft:cobblestone', [
    'SSS',
    'S S',
    'SSS'
  ], {
    S: 'mysticalagriculture:stone_essence',
  })
	event.shaped('minecraft:cobblestone', [
    'SS ',
    'SS ',
    '   '
  ], {
    S: 'exnihilosequentia:pebble_stone',
  })
    event.shapeless('exnihiloauto:compressed_cobble', ['excompressum:compressed_cobblestone'])
	event.shapeless('exnihiloauto:compressed_gravel', ['excompressum:compressed_gravel'])
	event.shapeless('exnihiloauto:compressed_sand', ['excompressum:compressed_sand'])
	event.shapeless('exnihiloauto:compressed_dust', ['excompressum:compressed_dust'])
	event.shapeless('compressedblocks:c0_cobblestone', ['exnihiloauto:compressed_cobble'])
	event.shapeless('compressedblocks:c0_gravel', ['exnihiloauto:compressed_gravel'])
	event.shapeless('compressedblocks:c0_sand', ['exnihiloauto:compressed_sand'])
	event.shapeless('9x minecraft:sand', ['compressedblocks:c0_sand'])
	event.shapeless('9x exnihilosequentia:dust', ['exnihiloauto:compressed_dust'])
	event.shapeless('9x minecraft:cobblestone', ['compressedblocks:c0_cobblestone'])
	event.shapeless('9x minecraft:gravel', ['compressedblocks:c0_gravel'])
	event.shapeless('extendedcrafting:redstone_ingot', ['extendedcrafting:black_iron_ingot', 'minecraft:redstone'])
})

onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')

	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it 
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})
